Package org.w3c.tidy

# Class TidyBeanInfo

java.lang.Object
java.beans.SimpleBeanInfo
org.w3c.tidy.TidyBeanInfo

All Implemented Interfaces:
  `BeanInfo`

public class TidyBeanInfo extends SimpleBeanInfo
BeanInfo for Tidy.

Version:
  $Revision: 400 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Field Summary

### Fields inherited from interface java.beans.BeanInfo

`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

## Constructor Summary

Constructors
Constructor
Description
`TidyBeanInfo()`

## Method Summary

Modifier and Type
Method
Description
`Image`
`getIcon(int kind)`

### Methods inherited from class java.beans.SimpleBeanInfo

`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getMethodDescriptors, getPropertyDescriptors, loadImage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TidyBeanInfo

public TidyBeanInfo()

## Method Details

### getIcon

public Image getIcon(int kind)

Specified by:
  `getIcon` in interface `BeanInfo`
Overrides:
  `getIcon` in class `SimpleBeanInfo`
See Also:
  - `BeanInfo.getIcon(int)`